{
  "metadata": {
    "instanceId": "217a071f-ac8c-4b3a-ab4c-1964521303dc",
    "efdmVersion": {
      "versionNumber": "1.0.0",
      "schemaLink": "https://example.com/schema"
    },
    "origin": {
      "originId": "00000000-efd0-1000-0000-000000000000",
      "timestamp": "2024-02-04T10:13:55Z"
    },
    "modification": {
      "modifierId": "00000000-efd0-1000-0000-000000000000",
      "timestamp": "2024-02-04T10:13:55Z"
    },
    "comment": "Systembezeichnung: EMAG GT + Product Storage + eChiller + Coldstorage\nZweck der Erstellung: Validation Dissertation Martin Lindner"
  },
  "flexibleLoads": [
    {
      "flexibleLoadId": {
        "uuid": "c75573fe-d7d5-46a6-8ee3-d42ae7245ef2",
        "comment": "Bezeichnung: EMAG GT"
      },
      "powerStates": {
        "order": "arbitrary",
        "durationType": "holdingDuration",
        "values": [
          {
            "power": {
              "unit": "kW",
              "minValue": 0.2,
              "maxValue": 0.245
            },
            "duration": {
              "unit": "s",
              "minValue": 1,
              "maxValue": 9999
            }
          },
          {
            "power": {
              "unit": "kW",
              "minValue": 1.055,
              "maxValue": 1.29
            },
            "duration": {
              "unit": "s",
              "minValue": 66,
              "maxValue": 1800
            }
          },
          {
            "power": {
              "unit": "kW",
              "minValue": 1.873,
              "maxValue": 2.289
            },
            "duration": {
              "unit": "s",
              "minValue": 90,
              "maxValue": 1365
            }
          }
        ]
      },
      "reactionDuration": {
        "unit": "s",
        "value": 90
      },
      "validity": [
        {
          "from": "2023-08-31T06:00:00.000Z",
          "until": "2023-08-31T22:00:00.000Z",
          "temporalType": "total"
        }
      ],
      "powerGradients": {
        "activationGradient": {
          "unit": "kW/s",
          "minValue": 0,
          "maxValue": 0.32
        },
        "modulationGradient": {
          "minValue": 0,
          "maxValue": 0.013,
          "unit": "kW/s"
        },
        "deactivationGradient": {
          "unit": "kW/s",
          "minValue": 0,
          "maxValue": 0.804
        }
      },
      "regenerationDuration": {
        "unit": "s",
        "value": 90
      }
    },
    {
      "flexibleLoadId": {
        "uuid": "9b6ff058-b8d8-4808-8797-8dad6f641dbd",
        "comment": "Bezeichnung: eChiller45"
      },
      "powerStates": {
        "order": "arbitrary",
        "durationType": "holdingDuration",
        "values": [
          {
            "power": {
              "unit": "kW",
              "minValue": 0.3,
              "maxValue": 2.9
            },
            "duration": {
              "unit": "s",
              "minValue": 18620,
              "maxValue": 180000
            }
          },
          {
            "power": {
              "unit": "kW",
              "minValue": 3,
              "maxValue": 5.9
            },
            "duration": {
              "unit": "s",
              "minValue": 9152,
              "maxValue": 18000
            }
          },
          {
            "power": {
              "unit": "kW",
              "minValue": 6,
              "maxValue": 8.9
            },
            "duration": {
              "unit": "s",
              "minValue": 6067,
              "maxValue": 9000
            }
          },
          {
            "power": {
              "unit": "kW",
              "minValue": 9,
              "maxValue": 11.9
            },
            "duration": {
              "unit": "s",
              "minValue": 4537,
              "maxValue": 6000
            }
          },
          {
            "power": {
              "unit": "kW",
              "minValue": 12,
              "maxValue": 14.5
            },
            "duration": {
              "unit": "s",
              "minValue": 3600,
              "maxValue": 4500
            }
          }
        ]
      },
      "reactionDuration": {
        "unit": "s",
        "value": 2892
      },
      "validity": [
        {
          "from": "2023-08-31T06:00:00.000Z",
          "until": "2023-08-31T22:00:00.000Z",
          "temporalType": "total"
        }
      ],
      "powerGradients": {
        "activationGradient": {
          "unit": "kW/s",
          "minValue": 0.005,
          "maxValue": 0.005
        },
        "modulationGradient": {
          "minValue": 0.005,
          "maxValue": 0.005,
          "unit": "kW/s"
        },
        "deactivationGradient": {
          "unit": "kW/s",
          "minValue": 0.005,
          "maxValue": 0.005
        }
      }
    }
  ],
  "storages": [
    {
      "storageId": {
        "uuid": "c8159422-e45d-4234-8720-bc452e22edc0",
        "comment": "Bezeichnung: Produktspeicher"
      },
      "usableCapacity": {
        "unit": "kWh",
        "minValue": 1.16,
        "maxValue": 18.97
      },
      "initialEnergyContent": {
        "unit": "kWh",
        "minValue": 1.19,
        "maxValue": 2.37
      },
      "suppliers": [
        {
          "flexibleLoadId": {
            "uuid": "c75573fe-d7d5-46a6-8ee3-d42ae7245ef2",
            "comment": "Bezeichnung: EMAG GT"
          },
          "conversionEfficiency": {
            "unit": "%",
            "value": 100
          }
        }
      ],
      "targetEnergyContent": {
        "unit": "kWh",
        "minValue": 1.19,
        "maxValue": 2.37
      },
      "energyLoss": {
        "unit": "%/h",
        "value": 0
      }
    },
    {
      "storageId": {
        "uuid": "daa9bcaf-da44-48f3-a867-cc49760b2a83",
        "comment": "Bezeichnung: Cold Storage"
      },
      "usableCapacity": {
        "unit": "kWh",
        "minValue": 0,
        "maxValue": 15.1
      },
      "initialEnergyContent": {
        "unit": "kWh",
        "minValue": 0,
        "maxValue": 5.81
      },
      "suppliers": [
        {
          "flexibleLoadId": {
            "uuid": "9b6ff058-b8d8-4808-8797-8dad6f641dbd",
            "comment": "Bezeichnung: eChiller45"
          },
          "conversionEfficiency": {
            "unit": "%",
            "value": 7
          }
        }
      ],
      "targetEnergyContent": {
        "unit": "kWh",
        "minValue": 0,
        "maxValue": 5.81
      },
      "energyLoss": {
        "unit": "%/h",
        "value": 0.98
      }
    }
  ],
  "dependencies": [
    {
      "dependencyId": {
        "uuid": "68a4f790-abf8-4eb8-8fc1-61e48a4c7ae7",
        "comment": "Bezeichnung:  EMAG GT zu eChiller"
      },
      "triggeringFlexibleLoad": {
        "temporalType": "total",
        "triggeringFlexibleLoadId": {
          "uuid": "c75573fe-d7d5-46a6-8ee3-d42ae7245ef2",
          "comment": "Bezeichnung:EMAG GT "
        }
      },
      "targetFlexibleLoad": {
        "temporalType": "total",
        "targetFlexibleLoadId": {
          "uuid": "9b6ff058-b8d8-4808-8797-8dad6f641dbd",
          "comment": "Bezeichnung: eChiller"
        }
      },
      "logicalType": "implies"
    }
  ]
}